WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] wp-db.php and wp-includes/pluggable.php

[Resolved] wp-db.php and wp-includes/pluggable.php

  • elking3400

    @elking3400

    Hey everyone, i have this silly problem
    whenever i do publish/save/edit any post or page or category i get this error
    i attached a pic

    any help plz?!

Viewing 6 replies - 1 through 6 (of 6 total)
  • spencerp

    @spencerp

    I’m not sure about the MAIN ERROR there, but for headers already sent, please follow this guide.

    Moderator Dion Hulse

    @dd32

    The error is saying that it cant connect to the MySQL Server, I’d say its most likely a plugin given the error.

    I’d strongly recomend you upgrade to the latest version of wordpress however, 2.1.3 is unsupported and 2.3 was just released.

    elking3400

    @elking3400

    thanks bro for ur help
    but i already got it managed
    it was the plugin resposible for generating the XML for google and stuff
    i disabled it and its gone
    Thanks

    spencerp

    @spencerp

    Oh ok! Good to hear! What plugin was it by the way? Google Site Maps? If so, you need to upgrade your Google Sitemaps plugin to the latest version. Also, can you mark this thread [Resolved] then too, please? Thanks. =)

    elking3400

    @elking3400

    Will update for sure
    Thanks 😉

    Checked the guide as I am getting this error as well but it doesn’t wash.

    WordPress database error: [Table ‘hterry3_wordpress.wp_post2cat’ doesn’t exist]
    SELECT cat_ID AS ID, MAX(post_modified) AS last_mod FROM wp_posts p LEFT JOIN wp_post2cat pc ON p.ID = pc.post_id LEFT JOIN wp_categories c ON pc.category_id = c.cat_ID WHERE post_status = ‘publish’ GROUP BY cat_ID

    WordPress database error: [Table ‘hterry3_wordpress.wp_post2cat’ doesn’t exist]
    SELECT cat_ID AS ID, MAX(post_modified) AS last_mod FROM wp_posts p LEFT JOIN wp_post2cat pc ON p.ID = pc.post_id LEFT JOIN wp_categories c ON pc.category_id = c.cat_ID WHERE post_status = ‘publish’ GROUP BY cat_ID

    Warning: Cannot modify header information – headers already sent by (output started at /home2/hterry3/public_html/wp-includes/wp-db.php:160) in /home2/hterry3/public_html/wp-includes/pluggable.php on line 390

    My wp-db.php line 160 is

    </div>”;

    so I’m at a loss.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] wp-db.php and wp-includes/pluggable.php’ is closed to new replies.